Subject: bug#20409: closed (Re: bug#20409: 24.5; Weird effect when selecting region with DejaVu Sans Mono font on Windows)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 30 Sep 2019 00:19:02 +0000

Your bug report

#20409: 24.5; Weird effect when selecting region with DejaVu Sans Mono font on Windows

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20409: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20409
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20409: 24.5; Weird effect when selecting region with DejaVu Sans Mono font on Windows
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: Sebastien Vauban <[email-masked]>, [email-masked]
Date: Mon, 30 Sep 2019 02:17:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Sebastien Vauban <[email-masked]>
>> Date: Thu, 23 Apr 2015 11:06:45 +0200
>>
>> As you can see on http://screencast.com/t/IMMvaK7Hqa, I see weird space
>> effects (interline is growing or decreasing when de-selecting text) with
>> the "DejaVu Sans Mono" font on Windows.
>
> Note how the same effect happens even without selecting the text, just
> by moving the cursor.
>
> You seem to have some customization that highlights the current line,
> which probably has something to do with this effect.  What is that
> customization?
>
> Also, if you run "emacs -Q" and select the same font, does the problem
> happen when you highlight some portions of the buffer?
>
> Anyway, whatever it is, it affects the pixel height of the lines under
> some circumstances, and Emacs reacts as expected: by redrawing the
> affected portions of the window.  There's no problem here that I can
> spot, just expected behavior.

More information was requested, but none was given within 4 years, and
I'm therefore closing this bug report.  If this is still an issue,
please reopen this bug report.

Best regards,
Stefan Kangas

Subject: 24.5; Weird effect when selecting region with DejaVu Sans Mono font on Windows
From: Sebastien Vauban <[email-masked]>
To: [email-masked]
Date: Thu, 23 Apr 2015 11:06:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

As you can see on http://screencast.com/t/IMMvaK7Hqa, I see weird space
effects (interline is growing or decreasing when de-selecting text) with
the "DejaVu Sans Mono" font on Windows.

You notice as well some white pixels in the vertical bar of the
boxquote'd text.

Best regards,
  Seb

-- 
Sebastien Vauban